﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FLY.OBJComponents.Common.SQLite
{
    public interface IDBTable
    {
        /// <summary>
        /// 表名
        /// </summary>
        string TableName { get; }
        /// <summary>
        /// 表的 Create SQL
        /// </summary>
        string DDL { get; }
        /// <summary>
        /// 创建表
        /// </summary>
        void Create();
        /// <summary>
        /// 初始化
        /// </summary>
        /// <param name="connnectionString"></param>
        void Init(string connnectionString);

    }
}
